// InFileDlg.cpp : implementation file
//

#include "stdafx.h"
#include "viewpolys.h"
#include "InFileDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CInFileDlg dialog


CInFileDlg::CInFileDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CInFileDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CInFileDlg)
	m_szInFile = _T("");
	m_bReload = FALSE;
	//}}AFX_DATA_INIT
}


void CInFileDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CInFileDlg)
	DDX_Text(pDX, IDC_IN_FILE, m_szInFile);
	DDX_Check(pDX, IDC_RELOAD, m_bReload);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CInFileDlg, CDialog)
	//{{AFX_MSG_MAP(CInFileDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDC_BUT_BROWSE, &CInFileDlg::OnBnClickedButBrowse)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CInFileDlg message handlers


void CInFileDlg::OnBnClickedButBrowse()
{
	UpdateData(TRUE);
	CFileDialog dlg(TRUE, _T("in"), m_szInFile, 0, _T("Input Files (*.in)|*.in|All Files (*.*)|*.*||"), this);

	if (dlg.DoModal() == IDOK) {
		m_szInFile = dlg.GetPathName();
		UpdateData(FALSE);
	}
}
